Package org.jboss.resteasy.spi

## Class WriterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.resteasy.spi.Failure
        - - org.jboss.resteasy.spi.LoggableFailure
          - - org.jboss.resteasy.spi.WriterException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `JAXBMarshalException`

      public class WriterException
      extends LoggableFailure

  Any exception thrown by a MessageBodyWriter chain that is not an instance of a WriterException is caught internally by the Resteasy runtime and wrapped with an instance of WriterException. If you want to have special exception handling for exceptions thrown by MessageBodyWriters and their interceptors, then write an exception mapper for WriterException. Also, you may extend this class and throw instances of it from your MessageBodyWriters (and interceptors)
  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.spi.Failure

      `errorCode, loggable, response`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WriterException​(int errorCode)` |
    `WriterException​(String s)` |
    `WriterException​(String s, int errorCode)` |
    `WriterException​(String s, Throwable throwable)` |
    `WriterException​(String s, Throwable throwable, int errorCode)` |
    `WriterException​(String s, Throwable throwable, javax.ws.rs.core.Response response)` |
    `WriterException​(String s, javax.ws.rs.core.Response response)` |
    `WriterException​(Throwable throwable)` |
    `WriterException​(Throwable throwable, int errorCode)` |
    `WriterException​(Throwable throwable, javax.ws.rs.core.Response response)` |

  - ### Method Summary

    - ### Methods inherited from class org.jboss.resteasy.spi.Failure

      `getErrorCode, getResponse, isLoggable, setErrorCode, setLoggable, setResponse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WriterException

          public WriterException​(String s,
                                 javax.ws.rs.core.Response response)

    - #### WriterException

          public WriterException​(String s,
                                 Throwable throwable,
                                 javax.ws.rs.core.Response response)

    - #### WriterException

          public WriterException​(Throwable throwable,
                                 javax.ws.rs.core.Response response)

    - #### WriterException

          public WriterException​(String s,
                                 Throwable throwable)

    - #### WriterException

          public WriterException​(Throwable throwable)

    - #### WriterException

          public WriterException​(String s)

    - #### WriterException

          public WriterException​(int errorCode)

    - #### WriterException

          public WriterException​(String s,
                                 int errorCode)

    - #### WriterException

          public WriterException​(String s,
                                 Throwable throwable,
                                 int errorCode)

    - #### WriterException

          public WriterException​(Throwable throwable,
                                 int errorCode)